Bug 122283 - SMB browsing a windows machine (not share) hangs gnome vfs
SMB browsing a windows machine (not share) hangs gnome vfs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 13:11 EDT by Stef Walter
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 10:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2004-05-02 13:11:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I can access and use windows shares just fine using gnome-vfs. However
when I step up a directory and try to access the machine itself (ie:
listing the shares) gnome-vfs hangs. All smb:// access from that point
on results in a hourglass.

Version-Release number of selected component (if applicable):
gnome-vfs2-2.6.0-6

How reproducible:
Always

Steps to Reproduce:
1. Make an SMB connection to a Windows machine
2. Open the connection (type auth info etc..)
3. Now go up a directory (lower left corner) to the machine. 
    

Actual Results:  Hour glass forever in all new smb:// windows until I
restart my session.

Expected Results:  Should have shown me the machine's shares.

Additional info:
Comment 1 Jean-Francois Saucier 2004-06-09 13:41:58 EDT
I have the same issue, the firts connection works and the other result
in an eternaly glass cursor...
Comment 2 bednar 2004-10-05 03:08:30 EDT
Me too. Now (FC3test2 with Gnome 2.8.0-1) smb browsing is pretty
unusable in Gnome.
Comment 3 Bryan Christ 2004-12-14 11:00:56 EST
I have this problem as well with Fedora Core 3 final release.  The
server is runnint samba 2.2.8a with a simple configuration for
[homes].  I can connect using smbclient, but when I use nautilus I
experience the behavior as mentioned in this bug.  Below is a list of
the relevant packages on my system:

samba-3.0.9-1.fc3
samba-client-3.0.9-1.fc3
samba-common-3.0.9-1.fc3
gnome-vfs2-smb-2.8.2-8
gnome-vfs2-devel-2.8.2-8
gnome-vfs2-2.8.2-8
gnome-desktop-2.8.0-3
Comment 4 Alexander Larsson 2006-09-01 10:34:17 EDT
SMB works much better for me in FC5. Please reopen with a specific problem if
you still have issues.
Comment 5 Stef Walter 2006-09-01 10:46:18 EDT
Heh yes. I ended up going and fixing the deadlocks. 

Note You need to log in before you can comment on or make changes to this bug.